Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareResolveVisitor

- org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ResolveVisitor` | `DEFAULT_IMPORTS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareResolveVisitor (CompilationUnit cu)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addError(String msg, ASTNode expr)`
    `protected void` | `visitClassCodeContainer(Statement code)`
    `void` | `visitConstructor(ConstructorNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResolveVisitor` | `ResolveVisitor, getSourceUnit, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`
    `class ClassCodeExpressionTransformer` | `visitField, visitProperty, visitReturnStatement, visitExpressionStatement, visitAssertStatement, visitCaseStatement, visitIfElse, visitSynchronizedStatement, visitThrowStatement, visitAnnotations, visitForLoop, visitSwitch, visitWhileLoop, visitDoWhileLoop, transform, visitMethod, visitConstructor, visitBlockStatement, visitDeclarationExpression, visitBreakStatement, visitCatchStatement, visitContinueStatement, visitTryCatchFinally, visitImports, visitClass, visitPackage, visitConstantExpression, visitClassExpression, visitPropertyExpression, visitListExpression, visitVariableExpression, visitTupleExpression, visitArgumentlistExpression, visitMethodCallExpression, visitClosureExpression, visitBitwiseNegationExpression, visitCastExpression, visitAttributeExpression, visitFieldExpression, visitGStringExpression, visitClosureListExpression, visitBytecodeExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitBinaryExpression, visitTernaryExpression, visitShortTernaryExpression, visitPostfixExpression, visitPrefixExpression, visitBooleanExpression, visitNotExpression, visitArrayExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitSpreadExpression, visitSpreadMapExpression, visitMethodPointerExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaAwareResolveVisitor(CompilationUnit cu)

  - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### @Override public void visitConstructor(ConstructorNode node)